import { Component, OnInit } from '@angular/core';
import { Router, NavigationStart } from '@angular/router';
import { AuthorisationService } from '../authorisation.service';




@Component({
  selector: 'app-keygen',
  templateUrl: './keygen.component.html',
  styleUrls: ['./keygen.component.css']
})
export class KeygenComponent implements OnInit {

  constructor(private router: Router, private authService: AuthorisationService) { }

  ngOnInit() {
    // This component is the callback form OAuth flows.
    // We hold here while the authService extract the token from the URI and generates keys
    // Once the keys are generated we can navigate away from this callback component
    this.authService.readyToNavigate.subscribe(readyToNavigate => this.navigate(readyToNavigate));
    this.authService.getCert();
  }

  navigate(readyToNavigate: [Boolean,string]) {
    if (readyToNavigate[0]) {
      this.router.navigate([readyToNavigate[1]]);
    }
  }

}
